# Class coding project - Questionnaire

This project serves as a python3 coding exercise for everybody who feels like participating.
The end result should be useful for everyone following the course.
The idea is to create a command line program to help us prepare for the LPI certificates.
The data for the exercise comes from the `data/*.csv` files and is currently hard coded.
The `./poc_standalone.py` is a **proof of concept** on how the end program should function.
It *kind* of works but there is a lot to fix and improve.
The `./standalone_tui.py` is a basic [MVC](https://realpython.com/the-model-view-controller-mvc-paradigm-summarized-with-legos/) implementation we can build on.


## Installation

To install and use this package you'll need to install [pip](https://pip.pypa.io/en/stable/installing/).
The easiest way to do this in Debian is via `apt`.
Pip can be installed with `sudo apt install python3-pip`.
On windows your mileage may vary.
Once this is done, you can install the requirements via the following command, `pip install -r requirements.txt`, from within the cloned folder.

The full process is as follows:

```bash
sudo apt install python3-pip
git clone https://gitea.86thumbs.net/waldek/ccpq.git
cd ccpq
python3 -m pip install --user -r requirements.txt
```

## Development

All development should be done in the `testing` branch and brought to the `master` branch with merge requests.

## Usage

There are multiple scripts you can run in this repo.

### Standalone TUI

This is the `standalone_tui.py` file.
You should run it from a terminal and it requires at lease a path to a CSV file to use as database.
Try `python3 standalone.py --help` for more information.

![screenshot](./assets/screenshot_1.png)


